# \image

Image Class of the back-end application

Management of images

## Summary

Methods
Properties
Constants
__construct()
action()
No public properties found
No constants found
No protected methods found
$app
$libClass
N/A
createImage()
listImage()
detailsImage()
updateImage()
deleteImage()
reactivateImage()
desactivateImage()
uploadImage()
downloadImage()
addMemberImage()
listMemberImage()
detailMemberImage()
removeMemberImage()
updateMemberImage()
No private properties found
N/A

File
  core/Image.php
Package
  Default
Class hierarchy
  \image
Implements
  \Core

## Tags

None found

## Properties

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

### $libClass

    $libClass : \OpenStack\Image

#### Type

\OpenStack\Image — protected, contains the library Image object

#

## Tags

None found

## Methods

### __construct()

    __construct(\App  $app) : \image

Image constructor

#### Parameters

\App | $app | the main app object

#### Returns

\image —

Object

#

## Tags

None found

### action()

    action(String  $action) : void

Execute an action

#### Parameters

String | $action | name of another function of this class

#

## Tags

None found

### createImage()

    createImage() : void

Create a new image

#

## Tags

None found

### listImage()

    listImage() : void

List the images of the server

#

## Tags

None found

### detailsImage()

    detailsImage() : void

Details about an image

#

## Tags

None found

### updateImage()

    updateImage() : void

Update informations about an image

#

## Tags

None found

### deleteImage()

    deleteImage() : void

Delete an image

#

## Tags

None found

### reactivateImage()

    reactivateImage() : void

Reactive an image

#

## Tags

None found

### desactivateImage()

    desactivateImage() : void

Desactivaate an image

#

## Tags

None found

### uploadImage()

    uploadImage() : void

Upload an image

#

## Tags

None found

### downloadImage()

    downloadImage() : void

Download an image

#

## Tags

None found

### addMemberImage()

    addMemberImage() : void

Add a member to image

#

## Tags

None found

### listMemberImage()

    listMemberImage() : void

List members of an image

#

## Tags

None found

### detailMemberImage()

    detailMemberImage() : void

Show details of a member of an image

#

## Tags

None found

### removeMemberImage()

    removeMemberImage() : void

Remove a member of an image

#

## Tags

None found

### updateMemberImage()

    updateMemberImage() : void

Update a member of an image

#

## Tags

None found

### Image.php